Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Rotation Class Reference

Describes a rotation. More...

`#include <Actionfield.h>`

Inheritance diagram for Rotation:

[legend]
Collaboration diagram for Rotation:

[legend]
List of all members.

## Public Member Functions
TransformationType | getType ()
| Returns the type of the transformation.
PotentialfieldTransformation * | copy ()
| Returns a pointer to a copy of the object.
## Public Attributes
double | angle
| The rotation angle.
bool | toGradient
| Flag: true, if the rotation has to be the angle to the current gradient.
PotentialFieldsObject * | toObject
| An object to rotate to.
double | speed
| The speed of a rotation in radian per second, only used in combination with toGradient of toObject.

## Detailed Description

Describes a rotation.

Definition at line 318 of file Actionfield.h.

## Member Function Documentation

TransformationType Rotation::getType | ( |  | ) | `[inline, virtual]`

| Returns the type of the transformation. Returns: The type Implements PotentialfieldTransformation. Definition at line 334 of file Actionfield.h. References ROTATION, and TransformationType.

PotentialfieldTransformation* Rotation::copy | ( |  | ) | `[inline, virtual]`

| Returns a pointer to a copy of the object. Returns: A pointer to a copy Implements PotentialfieldTransformation. Definition at line 340 of file Actionfield.h. References angle, PotentialfieldTransformation::probability, speed, PotentialfieldTransformation::time, toGradient, and toObject.

## Member Data Documentation

double Rotation::angle

| The rotation angle. Definition at line 322 of file Actionfield.h. Referenced by copy(), FutureWorldModelGenerator::executeSingleTransformation(), and Parser::parseTransformation().

bool Rotation::toGradient

| Flag: true, if the rotation has to be the angle to the current gradient. Definition at line 324 of file Actionfield.h. Referenced by copy(), FutureWorldModelGenerator::executeSingleTransformation(), and Parser::parseTransformation().

PotentialFieldsObject* Rotation::toObject

| An object to rotate to. Definition at line 326 of file Actionfield.h. Referenced by copy(), FutureWorldModelGenerator::executeSingleTransformation(), and Parser::parseTransformation().

double Rotation::speed

| The speed of a rotation in radian per second, only used in combination with toGradient of toObject. Definition at line 329 of file Actionfield.h. Referenced by copy(), FutureWorldModelGenerator::executeSingleTransformation(), and Parser::parseTransformation().

The documentation for this class was generated from the following file:

- Tools/PotentialFields/Actionfield.h